Grant consent
curl --request POST \
--url https://api.getsly.ai/v1/v1/ucp/identity/authorize/consent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authorization_request_id": "<string>",
"approved_scopes": [
"<string>"
],
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getsly.ai/v1/v1/ucp/identity/authorize/consent"
payload = {
"authorization_request_id": "<string>",
"approved_scopes": ["<string>"],
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authorization_request_id: '<string>',
approved_scopes: ['<string>'],
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.getsly.ai/v1/v1/ucp/identity/authorize/consent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"redirect_uri": "<string>",
"state": "<string>"
}UCP Identity
Grant consent
Called from the consent UI after the user approves the requested scopes. Returns the authorization code.
POST
/
v1
/
ucp
/
identity
/
authorize
/
consent
Grant consent
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Body
application/json
⌘I